Package org.stianloader.micromixin.transform.internal.util.smap

## Class EndSection

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.smap.AbstractSMAPSection
  - - org.stianloader.micromixin.transform.internal.util.smap.EndSection

    public final class EndSection
    extends AbstractSMAPSection

### Field Summary

Fields
`static EndSection` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.StringBuilder` `pushContents​(java.lang.StringBuilder sharedBuilder)`

### Methods inherited from class org.stianloader.micromixin.transform.internal.util.smap.AbstractSMAPSection

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    @NotNull
    public static final EndSection INSTANCE

### Method Detail

#### pushContents

    @NotNull
    @Contract(mutates="param1",
              pure=false,
              value="!null -> param1; null -> fail")
    public java.lang.StringBuilder pushContents​(@NotNull
                                                java.lang.StringBuilder sharedBuilder)

Specified by:
  `pushContents` in class `AbstractSMAPSection`